Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | PROPERTY | CONSTR | METHOD | DETAIL: FIELD | PROPERTY | CONSTR | METHOD

## org.gradle.api.tasks.testing.junit
[Groovy] Class JUnitOptions

    java.lang.Object
      org.gradle.api.tasks.testing.TestFrameworkOptions
          org.gradle.api.tasks.testing.junit.JUnitOptions

    class JUnitOptions
    extends TestFrameworkOptions

The JUnit specific test options.

Property Summary
`Set` | `excludeCategories` The set of categories to exclude.
`Set` | `includeCategories` The set of categories to run.

Method Summary
`JUnitOptions` | `excludeCategories(String... excludeCategories)`
`JUnitOptions` | `includeCategories(String... includeCategories)`

Property Detail

### excludeCategories

    @Incubating
    Set excludeCategories

  The set of categories to exclude.

### includeCategories

    @Incubating
    Set includeCategories

  The set of categories to run.

Method Detail

### excludeCategories

    @Incubating
    JUnitOptions excludeCategories(String... excludeCategories)

### includeCategories

    @Incubating
    JUnitOptions includeCategories(String... includeCategories)

Gradle API 1.10